Bug 51686 - default for xscreensaver app-defaults should be lock
default for xscreensaver app-defaults should be lock
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: xscreensaver (Show other bugs)
roswell
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-13 16:58 EDT by Seth Vidal
Modified: 2014-03-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-27 07:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2001-08-13 16:58:03 EDT
Description of Problem:

This is silly but it would be nice if the default for xscreensaver would be
to lock.

You can easily do this by editing the XScreenSaver file in
/usr/X11R6/lib/X11/app-defaults

if you change:
*lock: False 
to
*lock: True

then it should lock by default.

yes. I know I can do this in the post installs of my systems but I think
its 1. an easy change and 2. a good security feature for it to be on by
default.
Comment 1 Jamie Zawinski 2002-07-27 02:43:27 EDT
It would be crazy to turn on locking by default.
Comment 2 Seth Vidal 2002-07-27 07:58:09 EDT
Why would it be crazy?
Comment 3 Bill Nottingham 2002-08-12 21:29:45 EDT
This is not something where I'd think we'd deviate from a) upstream b)
established behavior.
Comment 4 Seth Vidal 2002-08-12 21:36:13 EDT
established behavior is ipchains/iptables are not enabled - y'all have them
enabled in the installer by default, why do you do this? b/c it makes the system
more secure - the same is true for locking on the screensaver.


Note You need to log in before you can comment on or make changes to this bug.